package com.benyun.core.service;

import com.benyun.core.entity.Category;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

@SpringBootTest
public class CategoryServiceImplTest {
    @Autowired
    CategoryService categoryService;

    @Test
    public void getAddrCategoryTest(){
        List<Category> category = categoryService.getAddrCategory();
        System.out.println(category);
    }

    @Test
    public void getTypeCategoryTest(){
        List<Category> typeCategory = categoryService.getTypeByCategory();
        System.out.println(typeCategory);
    }

    @Test
    public void getWdTypeCategoryTest(){
        List<Category> categories = categoryService.getWdTypeCategory();
        System.out.println(categories);
    }

    @Test
    public void getManageCategoryTest(){
        List<Category> manageCategory = categoryService.getManageCategory();
        System.out.println(manageCategory);
    }
}
